#include "Tline.h"
#include "../Td3dDrawable.h"



Tline::Tline()
{
	InitializeLineObject();
}

void
Tline::InitializeLineObject()
{
	fV[0].fPoint.x = 0;
	fV[0].fPoint.y = 0;
	fV[0].fPoint.z = 0;
	fV[0].fNormal.x = 0;
	fV[0].fNormal.y = 0;
	fV[0].fNormal.z = 0;
	fV[0].fU = fV[0].fV = 0;
	fV[0].fU1 = fV[0].fV1 = 0;

	fV[1].fPoint.x = 1.0;
	fV[1].fPoint.y = 0;
	fV[1].fPoint.z = 0;
	fV[1].fNormal.x = 0;
	fV[1].fNormal.y = 0;
	fV[1].fNormal.z = 0;
	fV[1].fU = fV[1].fV = 0;
	fV[1].fU1 = fV[1].fV1 = 0;
}

void Tline::SetObjectD3DAttributes(
	Td3dDrawable &d
)
{
	TdrawableObject::SetObjectD3DAttributes(d);
}

void Tline::DrawObjectGeom(
	Td3dDrawable 	   &,
	LPDIRECT3DDEVICE9  d3dDevice
) 
{
	//
	// Draw the unit circle from CPU memory
	//
	d3dDevice->SetFVF(kMyVertexFormat);
	d3dDevice->DrawPrimitiveUP(D3DPT_LINELIST, 1, (CONST void *)fV, sizeof(TmyVertex));
}


		void Tline::SetFirstVertex(float x, float y, float z) {
			fV[0].fPoint.x = x;
			fV[0].fPoint.y = y;
			fV[0].fPoint.z = z;
		}
		
		void Tline::SetSecondVertex(float x, float y, float z) {
			fV[1].fPoint.x = x;
			fV[1].fPoint.y = y;
			fV[1].fPoint.z = z;
		}
