#ifndef TMESH_SURFACE_H
#define TMESH_SURFACE_H

#include "../GraphicsAPI/Tfillable.h"
#include "../Collections/TmeshSurfaceLibrary.h"

//
//
// 
class TmeshSurface : public Tfillable {
	protected:
		
		int	fMeshSurfaceIndex;
		
		//
		// from TgraphicsObject
		// 
		virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);
	public:

		TmeshSurface();
		TmeshSurface(int);
		//
		// This is a macro defined in TgraphicsObject
		//
		BoolObjAttr(ShowControlGrid)

		void 	SetMeshSurfaceIndex(int i) { fMeshSurfaceIndex = i; }
};
#endif
