#include "StdAfx.h"
#include "Resource.h"
#include "ClassExampleDlg.h"
#include "./GraphicsAPI/Tcamera.h"
#include "Td3dDrawable.h"

void 
CClassExampleDlg::ComputeResizing()
{
	//
	// Now we can work with the Td3dDrawable
	//		remember our Top/Left is already computed for us
	//
	if ( (fDialogWidth < fDrawableLeft) ||
		(fDialogHeight < fDrawableTop) ) {
		// window too small don't worry about it.
		return;
	}

	int emptySize = fDialogWidth - fDrawableLeft;

	int w = emptySize;
	int h = (fDialogHeight - fDrawableTop);
	int availableHeight = h;

	int top = fDrawableTop;

	fDrawable->SetDrawableSize(w, h);
	fDrawable->SetWindowPos(&wndTop, fDrawableLeft, top, w, h, SWP_SHOWWINDOW);
}
