#ifndef T_MESH_SURFACE_LIBRARY
#define T_MESH_SURFACE_LIBRARY

#include "../GraphicsAPI/GraphicsAPI.h"


#define eInvalidMeshSurfaceIndex -1

class TrawMeshSurface;

class TmeshSurfaceLibrary {
		
	private:
		#define sfMeshSurfaceLibrarySize 256

		LPDIRECT3DDEVICE9 fDevice;
		TrawMeshSurface	 *fMeshSurfaceLibrary[sfMeshSurfaceLibrarySize];

	public:
		TmeshSurfaceLibrary();
		~TmeshSurfaceLibrary();


		void	 SetDevice(LPDIRECT3DDEVICE9 d) { fDevice = d; }
		void	 CreateMeshSurface(int index, int resolution);

		void	 SetMeshSurfaceToLibrary(TrawMeshSurface *m, int i);
		TrawMeshSurface *GetMeshSurfaceFromLibrary(int index);
		
};

#endif
