#ifndef T_ARROW
#define T_ARROW

#include "Tmesh.h"

//
// Arrow consists of two parts, 
//
class Tarrow : public TdrawableObject {

	private:
		Tmesh	fBody; 	// this is going to be a cylinder
		Tmesh	fHead;	// this will be a cone
	
		//
		// from TgraphicsObject
		virtual void DrawObjectGeom(Td3dDrawable&, LPDIRECT3DDEVICE9);

	public:

		Tarrow();
		
		void SetArrowColor(const D3DXCOLOR &headColor, const D3DXCOLOR &bodyColor);

		void EnableArrowLighting() {
				fBody.EnableLighting();
				fHead.EnableLighting();
		}
		void DisableArrowLighting() {
				fBody.DisableLighting();
				fHead.DisableLighting();
		}
};

#endif

