#include "TdirectionalLight.h"

TdirectionalLight::TdirectionalLight(int id) : Tlight(id)
{
	SetToDirectionalLight();
	fArrow.SetRotation(M_PI, 0, 0);
	fArrow.SetScale(3, 3, 3);
	fArrow.DisableLighting();
	fArrow.DisableArrowLighting();
}

void TdirectionalLight::DrawObjectGeom(
	Td3dDrawable &d,
	LPDIRECT3DDEVICE9
)
{	D3DXCOLOR c;
	fMaterial.GetDiffuse(c);
	fArrow.SetArrowColor(c, c);
	fArrow.DrawObject(d);
}
