#include "TnormRectangle.h"

TnormRectangle::TnormRectangle() {
	InitializeNormRectangleObject();
}

TnormRectangle::TnormRectangle(float scale) {
	InitializeNormRectangleObject();
	fXformInfo.SetScale(scale);
}

void TnormRectangle::InitializeNormRectangleObject()
{
	int count = 0;
	fV[count].fPoint = D3DXVECTOR3(0.0f, 0, 1.0f);
	fV[count].fNormal = D3DXVECTOR3(0, 1, 0);
	fV[count].fU = fV[count].fU1 = fV[count].fPoint.x+0.5f;
	fV[count].fV = fV[count].fV1 = fV[count].fPoint.z+0.5f;
	
	count++;
	fV[count].fPoint = D3DXVECTOR3( 1.0f,  0, 1.0f);
	fV[count].fNormal = D3DXVECTOR3(0, 1, 0);
	fV[count].fU = fV[count].fU1 = fV[count].fPoint.x+0.5f;
	fV[count].fV = fV[count].fV1 = fV[count].fPoint.z+0.5f;
	
	count++;
	fV[count].fPoint = D3DXVECTOR3(0.0f, 0.0f, 0.0f);
	fV[count].fNormal = D3DXVECTOR3(0, 1, 0);
	fV[count].fU = fV[count].fU1 = fV[count].fPoint.x+0.5f;
	fV[count].fV = fV[count].fV1 = fV[count].fPoint.z+0.5f;
	
	count++;
	fV[count].fPoint = D3DXVECTOR3( 1.0f, 0.0f, 0.0f);
	fV[count].fNormal = D3DXVECTOR3(0, 1, 0);
	fV[count].fU = fV[count].fU1 = fV[count].fPoint.x+0.5f;
	fV[count].fV = fV[count].fV1 = fV[count].fPoint.z+0.5f;
}

