#include "TspotLight.h"

TspotLight::TspotLight(int id) : Tlight(id)
{
	SetToSpotLight();
	fCone.SetMeshIndex(eConeMesh);
	fCone.SetRotation(M_PI/2.0, 0, 0);
	fCone.SetScale(2);
	fCone.DisableLighting();
}

void TspotLight::DrawObjectGeom(
	Td3dDrawable &d,
	LPDIRECT3DDEVICE9
)
{	D3DXCOLOR c;
	fMaterial.GetDiffuse(c);
	Tmaterial &mt = fCone.GetMaterial();
	mt.SetEmissive(c);
	fCone.DrawObject(d);
}
