#include "../resource.h"
#include "../Td3dDrawable.h"
#include "../TmodelControl.h"
#include "TmyWorld.h"

#include "../GraphicsAPI/Tcircle.h"
#include "../GraphicsAPI/Tpoint.h"
#include "../GraphicsAPI/Tline.h"

class TrawMesh;
void
TmyWorld::UpdateWorld(Td3dDrawable &d)
{
	
	#define DoPick(ObjName)											\
		if (f##ObjName##.RayPickObject(d, fPickRayO, fPickRayD)) {	\
			f##ObjName##.DisableLighting();							\
			fControl->OnBnClicked##ObjName##();						\
		}							

	if (fValidPickRay) {
		if (fToyCraft.RayPickObject(d, fPickRayO, fPickRayD) ) {
			fToyCraft.GetCraft()->DisableLighting();
			fControl->OnCraft();
		}

		DoPick(Teapot)
	} else {
	
			#ifdef PICK_RAW_MESH_DEBUG
				extern TrawMesh *sfPickedMesh;
				sfPickedMesh = NULL;
			#endif
		
	}
}